from django.core.management.base import BaseCommand, CommandError

from core.models import APIKey

class Command(BaseCommand):
    help = 'Add new API key'

    def add_arguments(self, parser):
        parser.add_argument('--description', "-d", required=False, type=str, default="")

    def handle(self, *args, **options):
        key = APIKey.objects.create(description=options["description"])
        self.stdout.write(self.style.SUCCESS(f'Successfully created key "{ key.key }"'))