from django.core.management.base import BaseCommand, CommandError

from core.models import Series

class Command(BaseCommand):
    help = 'Add new image series'

    def add_arguments(self, parser):
        parser.add_argument('title', type=str)
        parser.add_argument('--description', required=False, type=str)

    def handle(self, *args, **options):
        series = Series.objects.create(title=options["title"], description=options["description"])
        self.stdout.write(self.style.SUCCESS(f'Successfully created series "{ series.id }"'))